UKRPI Class Reference

UK Retail Price Inflation Index. More...

`#include <ql/indexes/inflation/ukrpi.hpp>`

Inheritance diagram for UKRPI:
[legend]

## Public Member Functions

| UKRPI (bool interpolated, const Handle< ZeroInflationTermStructure > &ts=Handle< ZeroInflationTermStructure >())
Public Member Functions inherited from ZeroInflationIndex
| ZeroInflationIndex (const std::string &familyName, const Region &region, bool revised, bool interpolated, Frequency frequency, const Period &availabilityLag, const Currency &currency, const Handle< ZeroInflationTermStructure > &ts=Handle< ZeroInflationTermStructure >())
| Always use the evaluation date as the reference date.
Rate | fixing (const Date &fixingDate, bool forecastTodaysFixing=false) const
Handle< ZeroInflationTermStructure > | zeroInflationTermStructure () const
boost::shared_ptr< ZeroInflationIndex > | clone (const Handle< ZeroInflationTermStructure > &h) const
Public Member Functions inherited from InflationIndex
| InflationIndex (const std::string &familyName, const Region &region, bool revised, bool interpolated, Frequency frequency, const Period &availabilitiyLag, const Currency &currency)
std::string | name () const
| Returns the name of the index. More...
Calendar | fixingCalendar () const
bool | isValidFixingDate (const Date &) const
| returns TRUE if the fixing date is a valid one
void | addFixing (const Date &fixingDate, Rate fixing, bool forceOverwrite=false)
void | update ()
std::string | familyName () const
Region | region () const
bool | revised () const
bool | interpolated () const
Frequency | frequency () const
Period | availabilityLag () const
Currency | currency () const
Public Member Functions inherited from Index
const TimeSeries< Real > & | timeSeries () const
| returns the fixing TimeSeries
virtual bool | allowsNativeFixings ()
| check if index allows for native fixings. More...
void | addFixings (const TimeSeries< Real > &t, bool forceOverwrite=false)
| stores historical fixings from a TimeSeries More...
template<class DateIterator , class ValueIterator >
void | addFixings (DateIterator dBegin, DateIterator dEnd, ValueIterator vBegin, bool forceOverwrite=false)
| stores historical fixings at the given dates More...
void | clearFixings ()
| clears all stored historical fixings
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members

Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from InflationIndex
Date | referenceDate_
std::string | familyName_
Region | region_
bool | revised_
bool | interpolated_
Frequency | frequency_
Period | availabilityLag_
Currency | currency_

## Detailed Description

UK Retail Price Inflation Index.